/**
*Recupera o mapper mybatis definido no arquivo XML
*/
var pgFornImpostoMapper = mapperFactory.createMapper("PgFornImposto");

/**
*Objeto message é um hashmap que contem a chave nome do atirbuto JSON e seu respectivos valores
*/

try{

    var impostos = message.get("impostos");
    var mapForn = {'cdForn':message.get("cdForn"), 'cdEmp':message.get("cdEmp")};
	
	
	pgFornImpostoMapper.update("excluirPgFornImposto", mapForn);

	for (var i = 0; i < impostos.size(); i++) {
			pgFornImpostoMapper.insert("incluirPgFornImposto", impostos.get(i));
	}

    pgFornImpostoMapper.commit();
    
}catch(err){
    pgFornImpostoMapper.rollback();
    throw " Ocorreu um erro: " + err;
}